popup.addItem Adds an item to a popup
Usage
popup.addItem [-q] (<popupname:string>, <text:string>[, <icon:string>[, <item_id:string>[, <condition:string>]]]) [{] <command> [}]
Description

Adds a menu item with visible <text> and the optional <icon> to an already existing popup or nested popup named <popupname>. If you want to add an item to a nested popup, use the form "popup.addItem", for example, "channeltextview.myNestedItem".
<text> is a string that is evaluated at popup call time and may contain identifiers and variables.
<icon> is an optional image identifier.
<item_id> is the optional item ID - if not specified, it will be generated automatically.
If <condition> is given, it is evaluated at popup.show call time and if the result is 0, the item is not shown in the physical popup.
If this item gets clicked, the code inside <command> will be executed. <command> can be a simple instruction or an instruction block delimited by curly brackets.

Switches

-q | --quiet
Run quietly: don't print warning and errors

See also
defpopup, popup.show

Index, Commands